Bug 1035939 - sddm fails at login
Summary: sddm fails at login
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-28 22:59 UTC by STEVEN WARD
Modified: 2014-10-07 09:28 UTC (History)
6 users (show)

Fixed In Version: sddm-0.2.0-0.31.20140627gitf49c2c79.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-30 10:29:50 UTC


Attachments (Terms of Use)
Boot log from the messages file of this boot (171.33 KB, text/plain)
2013-11-28 22:59 UTC, STEVEN WARD
no flags Details
xorg.0.log (32.26 KB, text/x-log)
2013-11-28 23:07 UTC, STEVEN WARD
no flags Details

Description STEVEN WARD 2013-11-28 22:59:47 UTC
Created attachment 830413 [details]
Boot log from the messages file of this boot

Description of problem: sddm-greeter fails when I press a key on my keyboard to enter my credentials.


Version-Release number of selected component (if applicable):


How reproducible:I don't know about others, but it is very reproducible on my machine 


Steps to Reproduce:
1.Boot into kernel
2.Wait for the sddm-greeeter
3.Use the mouse to put a cursor into the name dialogue box to enter ones' name or do so if the cursor is already there.

Actual results:As soo as I press a key on my keyboard, the screen goes blank with a cursor as a cross! I have to do a tty2 or 3 to login that way.


Expected results: I should be able to enter my name and password, and KDE should 
start as I have logged in.


Additional info: I have noticed in system settings, there doesn't seem to be any themes for me to select. I am currently using the git versions of DRM, nouveau kernel, and xf86-video-nouveau.

Comment 1 STEVEN WARD 2013-11-28 23:07:19 UTC
Created attachment 830414 [details]
xorg.0.log

Comment 2 Fedora Update System 2014-06-25 11:08:31 UTC
sddm-0.2.0-0.29.20140623gitdb1d7381.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc20

Comment 3 Fedora Update System 2014-06-25 11:12:40 UTC
sddm-0.2.0-0.29.20140623gitdb1d7381.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.29.20140623gitdb1d7381.fc19

Comment 4 Fedora Update System 2014-06-26 01:56:33 UTC
Package sddm-0.2.0-0.29.20140623gitdb1d7381.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.2.0-0.29.20140623gitdb1d7381.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7749/sddm-0.2.0-0.29.20140623gitdb1d7381.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-06-30 10:29:50 UTC
sddm-0.2.0-0.31.20140627gitf49c2c79.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-10-07 09:28:38 UTC
sddm-0.9.0-1.20141007git6a28c29b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.9.0-1.20141007git6a28c29b.fc19


Note You need to log in before you can comment on or make changes to this bug.